---
title:  Installation Manual
subtitle: IUA Simulator
author: Pierre-Marie VAN HOUTEGHEM, CLaude LUSSEAU
function: Software Engineer
date: 2023-04-05
toolversion: 1.0.0
version: 1.00
status: To be reviewed
reference: KER1-MAN-IHE-IUA-SIMULATOR_INSTALLATION-1\_01
customer: IHE-EUROPE
---
# Purpose

Here is a guide to help you install the IUA-Simulator.

# Deployment

## Minimal requirements

* Debian squeeze or ubuntu 12.04 64bits or higher with an Internet access.
* Java virtual machine : JDK 17
* Application server : Wildfly 27
* Keycloak server : Keycloak 20.0.3 and above

To install those requirements you can refer to the documentation of installation of Wildfly : [*General Requirements Wildfly 27*](https://ehealthsuisse.ihe-europe.net/gazelle-documentation/General/wildfly26.html)

## Instructions

Copy the iua-simulator.war into the "/usr/local/wildfly27/standalone/deployments" directory of your Wildfly server.

You'll have to specify Environment variable before starting the server.
Those environment variable are needed for your iua-simulator to know how to access your keycloak installation and the clients to be called through ITI-71 transactions.
Here is a list of everything needed to be setup before launching the application server. Finally, start your server.

Once the application is deployed, open a browser and go to http://yourserver/iua-simulator/rest/ch/ping in order to check of the service is available.

If the deployment is successful, you should receive a 200 Ok Response.

The sources of the projects are available on [Inria's gitlab](https://gitlab.inria.fr/gazelle/public/simulation/iua-simulator.git).
